

/**
 * 初始化一个xmlhttp对象
 */
function InitAjax(){
	var ajax=false; 
	try { 
		ajax = new ActiveXObject("Msxml2.XMLHTTP"); 
	} catch (e) { 
		try { 
			ajax = new ActiveXObject("Microsoft.XMLHTTP"); 
		} catch (E) { 
			ajax = false; 
		} 
	}
	if (!ajax && typeof XMLHttpRequest!='undefined') { 
		ajax = new XMLHttpRequest(); 
	} 
	return ajax;
}



/**
 *将指定URL页面的内容加载到页面的DIV
 */
function showContent(id, url) {
	//实例化Ajax对象
	var ajax = InitAjax();
	
	//使用Get方式进行请求
	ajax.open("GET", url, true); 
	
	//获取执行状态
	ajax.onreadystatechange = function() { 
		//如果执行是状态正常，那么就把返回的内容赋值给上面指定的层
		if (ajax.readyState == 4 && ajax.status == 200) { 
			var returnText = ajax.responseText; 
			//如果存子分类则填充数据
			document.getElementById(id).innerHTML = returnText.replace(new RegExp("<script[^>]*>([\\S\\s]*?)<\/script>", "ig"), function(code, js){eval(js);}); 
		} else {
			document.getElementById(id).innerHTML = 'Loading...';
		}
 	}
	 //发送空
	 ajax.send(null); 
}

/**
 * 获取页面的ID
 */
function $(element) {
  if (typeof element == 'string') {
    	element = document.getElementById(element);
		return element;
  } else {
		return null;
  }
}
